<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script type="text/javascript" src="js/jquery-3.6.0.min.js">
    </script>

    <script src="/js/script.js"></script>
    <script>

    </script>
    <title>POST Board</title>
</head>
<body>
<nav class="navbar">
    <div>
        <div class="navbar-menu" id="menu">
            <a href="/" class="nav-link">Home</a>
            <a href="/list/<%=1%>" class="nav-link" name="list">List</a>
            <% if (!login) { %>
                <a href="/login" class="nav-link" name="login">Login</a>
                <a href="/signup" class="nav-link" name="signup">signup</a>
            <% } else { %>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=login%>
            <a href="/logout" class="nav-link" name="logout">Logout</a>
            <% } %>
        </div>
    </div>
</nav>
<br>

<div class="container mb-3">
    <table class="board-table table table-sm border-bottom">
        <thead class="thead-light">
        <tr>
            <th scope="col">번호</th>
            <th scope="col">제목</th>
            <th scope="col">내용</th>
            <th scope="col">작성일</th>
            <th scope="col">조회수</th>
            <th scope="col">좋아요</th>
        </tr>
        </thead>

        <tbody>

        <% for ( let i = 0; i < results.length; i++) { %>
            <tr>
                <td align="center">
                    <div class="ellipsis"><%= (results[i].seq) %></div>
                </td>
                <td align="center">
                    <a href="/show/<%= results[i].seq %>"><div class="ellipsis"><%= results[i].subject %></div></a>
                </td>
                <td align="center">
                    <div class="ellipsis"><%= results[i].content %></div>
                </td>
                <td class="date" align="center">
                    <% if (results[i].update_at == null) { %>
                        <div class="ellipsis"><span data-date-time="<%= results[i].create_at %>"></span></div>
                    <% } else { %>
                        <div class="ellipsis"><span data-date-time="<%= results[i].update_at %>"></span></div>
                    <% } %>
                </td>
                <td class="views" align="center">
                    <div class="ellipsis"><%= results[i].views %></div>
                </td>
                <td class="likes" align="center">
                    <div class="ellipsis"><%= results[i].likes %></div>
                </td>
            </tr>
        <% } %>
        </tbody>
        </table>
        <br>
        <div>
            <% if ( paging.startPage != 1 ) { %>
                <a href="/list/<%= paging.startPage - paging.pageCount %>"><button type="button">이전</button></a>
            <% } %>
            <% for (let i = paging.startPage; i <= paging.endPage; i ++) { %>
                <a href="/list/<%=i%>"><%=i%></a>
            <% } %>
            <% if ( paging.endPage < paging.totalPage ) { %>
                <a href="/list/<%= (paging.endPage + 1) %>"><button type="button">다음</button></a>
            <% } %>
        </div>
        <br>
        <div>
            <% if (login) { %>
                <a class="btn btn-primary" href="/new">
                    <button type="button">글작성</button>
                </a>
            <% } else { %>
                <a class="btn btn-primary" href="/login">
                    <button type="button">글작성</button>
                </a>
            <% } %>
        </div>
</div>
</body>
</html>